#
# spec file for package guile-git
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           guile-git
Version:        0.2.0
Release:        lp152.2.2
Summary:        Guile bindings of libgit2
License:        GPL-3.0-or-later
Group:          Development/Libraries/Other
Url:            https://gitlab.com/guile-git/guile-git
Source0:        https://gitlab.com/guile-git/guile-git/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  guile-bytestructures
BuildRequires:  guile-devel
BuildRequires:  libgit2-devel
BuildRequires:  pkg-config
BuildRequires:  texinfo
Requires:       guile
Requires:       guile-bytestructures
Requires:       libgit2-devel
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides Guile bindings to libgit2,
a library manipulate repositories of the Git version control system.

%prep
%setup -q -n %{name}-v%{version}
autoreconf -vif

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post
%install_info --info-dir=%{_infodir} %{_infodir}/guile-git.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/guile-git.info.gz

%files
%defattr(-,root,root)
%license COPYING
%doc NEWS README.md
%{_libdir}/guile/2.*/site-ccache/git*
%{_datadir}/guile/site/2.*/git*
%{_infodir}/guile-git.info.gz

%changelog
* Wed Jan 30 2019 jbrielmaier@suse.de
- upate to 0.2.0:
  * New Functionality
  * * Add (git submodule) module
  * Bug fixes
  * * Fix experience in REPL
  * * Correctly export ~repository-working-directory~
  For more details see /usr/share/doc/packages/guile-git/NEWS
- package NEWS file
* Tue Dec 11 2018 jbrielmaier@suse.de
- add libgit2-devel as run time dependency to avoid
  "/usr/lib64/libgit2", message: "file not found" error
* Mon Sep 17 2018 <jbrielmaier@suse.de>
- remove needless _service and tar file
* Fri Sep 14 2018 jbrielmaier@suse.de
- bump to 0.1.0:
  - support remote-ls
  - support repository-close
  - small fixes
- switch from git service to release tarball
- order build requires alphabetical
- install info files
- COPYING now as license
* Sat Mar 10 2018 jengelh@inai.de
- Update description.
* Fri Mar  9 2018 sleep_walker@opensuse.org
- make package compatibile with guile-2.0+
- make _service localonly
* Tue Jan 23 2018 jbrielmaier@suse.com
- Initial version built from commit 951a32c
